<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('produks', function (Blueprint $table) {
            // tgl start promo
            $table->dateTime('tgl_start_promo')->nullable()->after('stok_produk');
            // tgl end promo
            $table->dateTime('tgl_end_promo')->nullable()->after('tgl_start_promo');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('produks', function (Blueprint $table) {
            $table->dropColumn('tgl_start_promo');
            $table->dropColumn('tgl_end_promo');
        });
    }
};
